Subject: Re: bug#63731: [PATCH] Support Emoji Variation Sequence 16 (FE0F) where appropriate

From: Steven Allen <[email-masked]>
Date: Fri, 26 May 2023 08:06:11 -0700

Eli Zaretskii <[email-masked]> writes:
> AFAIU, this change will populate composition-function-table for many
> "normal" characters, including ASCII digits and symbol/punctuation
> characters from the 0x2xxx blocks.  E.g., after you build Emacs with
> this patch, what do the following evaluations yield:
>
>   M-: (aref composition-function-table ?0) RET
>   M-: (aref composition-function-table #x2122) RET
>
> If they yield non-nil values, it could mean dramatic slowdown of
> redisplay with these characters.

Both of these yield nil with this patch applied (and I haven't noticed
any performance regressions). But it looks like you and Robert have a
better patch so I'll leave you to it.

However, I'd like to draw your attention to the existing hard-coded
VS-16 table here:

https://git.savannah.gnu.org/cgit/emacs.git/tree/admin/unidata/emoji-zwj.awk?h=4b3de748b0b04407d2492500c77905de56de1180#n72

It feels like this should either be the full table (the one in the
patch) or it shouldn't exist at all. But again, I'm not the expert here.